Bug 1029165 - xkbcomp errors in log
xkbcomp errors in log
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libX11 (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Peter Hutterer
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 15:02 EST by Bill Nottingham
Modified: 2014-06-18 04:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: libX11-1.6.0-2.1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:06:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2013-11-11 15:02:10 EST
Description of problem:

In my gdm log, I have:

The XKEYBVOARD keymap compiler (xkbcomp) reports:
> Internal error:  Could not resolve keysym XF86AudioMicMute
Errors from xkbcomp are not fatal to the X server

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.14.99.901-5.20131101.el7.x86_64
xorg-x11-xkb-utils-7.7-8.el7.x86_64

How reproducible:

100%

Steps to Reproduce:
1. look in logs while attempting to debug something else
Comment 2 Adam Jackson 2013-12-11 15:55:13 EST
Fixed in sufficiently new xkeyboard-config, we should just rebase.
Comment 3 Peter Hutterer 2013-12-11 19:20:20 EST
Symbol was added in x11proto but we apparently never rebuilt libX11 after that, we just need to trigger a rebuild for the new symbol to be picked up.
Comment 4 Peter Hutterer 2014-02-13 01:14:19 EST
MODIFIED

libX11-1.6.0-2.1.el7 is available in brew
Comment 8 Ludek Smid 2014-06-13 09:06:15 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.